## org.h2.test.unit
Class TestReopen

    java.lang.Object
      org.h2.test.TestBase
          org.h2.test.unit.TestReopen

All Implemented Interfaces:
  Recorder

    public class TestReopen

extends TestBase
implements Recorder

A test that calls another test, and after each write operation to the database file, it copies the file, and tries to reopen it.

Field Summary

Fields inherited from class org.h2.test.TestBase
`BASE_TEST_DIR, config, start, TEMP_DIR, uniqueId`

Fields inherited from interface org.h2.store.fs.Recorder
`CREATE_NEW_FILE, CREATE_TEMP_FILE, DELETE, OPEN_OUTPUT_STREAM, RENAME, TRUNCATE, WRITE`

Constructor Summary
`TestReopen()`

Method Summary
`void` `log(int op, java.lang.String fileName, byte[] data, long x)` Record the method.
`static void` `main(java.lang.String... a)` Run just this test.
`void` `test()` This method will be called by the test framework.

Methods inherited from class org.h2.test.TestBase

`assertContains, assertEqualDatabases, assertEqualReaders, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEqualStreams, assertFalse, assertFalse, assertKnownException, assertKnownException, assertNull, assertResult, assertResultRowCount, assertResultSetMeta, assertResultSetOrdered, assertSingleValue, assertSmaller, assertStartsWith, assertThrows, assertThrows, assertThrows, assertThrows, assertTrue, assertTrue, crash, createCaller, createClassProxy, createFailingStream, deleteDb, deleteDb, eatMemory, fail, fail, freeMemory, getBaseDir, getClassPath, getConnection, getConnection, getFilePassword, getMemoryUsed, getMemoryUsedBytes, getPassword, getPassword, getSize, getTestDir, getURL, getUser, init, init, logError, println, printTime, printTimeMemory, readString, runTest, startServerIfRequired, testCase, throwException, trace, trace, traceMemory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestReopen

    public TestReopen()

Method Detail

### main

    public static void main(java.lang.String... a)
                     throws java.lang.Exception

  Run just this test.

  Parameters:
    `a` - ignored
  Throws:
    `java.lang.Exception`

### test

    public void test()
              throws java.lang.Exception

  Description copied from class: `TestBase`
  This method will be called by the test framework.

  Specified by:
    `test` in class `TestBase`
  Throws:
    `java.lang.Exception` - if an exception in the test occurs

### log

    public void log(int op,
                    java.lang.String fileName,
                    byte[] data,
                    long x)

  Description copied from interface: `Recorder`
  Record the method.

  Specified by:
    `log` in interface `Recorder`
  Parameters:
    `op` - the operation
    `fileName` - the file name or file name list
    `data` - the data or null
    `x` - the value or 0